# jgreenepack
No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 1.0.0
- Package version: 1.3.0
- Build package: org.openapitools.codegen.languages.PythonClientCodegen

## Requirements.

Python >= 3.6

## Installation & Usage
### pip install

If the python package is hosted on a repository, you can install directly using:

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import jgreenepack
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import jgreenepack
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python

import time
import jgreenepack
from pprint import pprint
from jgreenepack.api import pets_api
from jgreenepack.model.error import Error
from jgreenepack.model.pets import Pets
# Defining the host is optional and defaults to http://petstore.swagger.io/v1
# See configuration.py for a list of all supported configuration parameters.
configuration = jgreenepack.Configuration(
    host = "http://petstore.swagger.io/v1"
)



# Enter a context with an instance of the API client
with jgreenepack.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = pets_api.PetsApi(api_client)
    
    try:
        # Create a pet
        api_instance.create_pets()
    except jgreenepack.ApiException as e:
        print("Exception when calling PetsApi->create_pets: %s\n" % e)
```

## Documentation for API Endpoints

All URIs are relative to *http://petstore.swagger.io/v1*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*PetsApi* | [**create_pets**](docs/PetsApi.md#create_pets) | **POST** /pets | Create a pet
*PetsApi* | [**list_pets**](docs/PetsApi.md#list_pets) | **GET** /pets | List all pets
*PetsApi* | [**show_pet_by_id**](docs/PetsApi.md#show_pet_by_id) | **GET** /pets/{petId} | Info for a specific pet


## Documentation For Models

 - [Error](docs/Error.md)
 - [Pet](docs/Pet.md)
 - [Pets](docs/Pets.md)


## Documentation For Authorization

 All endpoints do not require authorization.

## Author




## Notes for Large OpenAPI documents
If the OpenAPI document is large, imports in jgreenepack.apis and jgreenepack.models may fail with a
RecursionError indicating the maximum recursion limit has been exceeded. In that case, there are a couple of solutions:

Solution 1:
Use specific imports for apis and models like:
- `from jgreenepack.api.default_api import DefaultApi`
- `from jgreenepack.model.pet import Pet`

Solution 2:
Before importing the package, adjust the maximum recursion limit as shown below:
```
import sys
sys.setrecursionlimit(1500)
import jgreenepack
from jgreenepack.apis import *
from jgreenepack.models import *
```

